<?xml version="1.0" encoding="UTF-8"?>
<!-- gqs801_573val_Vecozo_stap1u2, 22-11-2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cod="http://ei.vektis.nl/codelijsten/v1" xmlns:gqs801="http://ei.vektis.nl/schadelastbericht582" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583" xsi:schemaLocation="http://ei.vektis.nl/schadelastbericht582 gqs801_582.xsd">
	<!-- VALXSLT 2 TRAPS RETOURBERICHT  - versie Vecozo -->
	<!-- Deze xslt doet stap 1, i.e. tussenresultaat retourbericht met alle klassen, identificerende gegevens van klassen en geconstateerde fouten -->
	<!-- Laden Configuratiefile met waarde voor Omgeving en Huidige datum	-->
	<xsl:import href="config_Vecozo.xml"/>
	<xsl:import href="rcCode_vs_Peildatum.xslt"/>
	<xsl:import href="rcDatum_vs_Peildatum.xslt"/>
	<xsl:import href="rcDatum_vs_Huidigedatum.xslt"/>
	<xsl:import href="rcTotaalbedrag_vs_Details.xslt"/>
	<xsl:import href="rcDatum_vs_Periode.xslt"/>
	<xsl:import href="rc8028.xslt"/>
	<xsl:import href="rc9262a.xslt"/>
	<xsl:import href="rc9263a.xslt"/>
	<xsl:import href="rc9489.xslt"/>
	<xsl:import href="rc9492.xslt"/>
	<xsl:import href="rc0581.xslt"/>
	<xsl:import href="rc9272.xslt"/>
	<xsl:import href="rc9416.xslt"/>
	<xsl:import href="rc0013.xslt"/>
	<xsl:import href="rc8354.xslt"/>
	<xsl:import href="rc9488.xslt"/>
	<xsl:import href="rc9536.xslt"/>
	<xsl:import href="rc9537.xslt"/>

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="Berichtcode" select="//gqs801:Bericht/gqs801:Header/gqs801:Berichtcode"/>
	<xsl:variable name="Berichtsoort" select="//gqs801:Bericht/gqs801:Header/gqs801:Berichtsoort"/>
	<xsl:variable name="Verzender" select="//gqs801:Bericht/gqs801:Header/gqs801:Verzender"/>
	<xsl:variable name="VerzenderRol" select="//gqs801:Bericht/gqs801:Header/gqs801:VerzenderRol"/>
	<xsl:variable name="Ontvanger" select="//gqs801:Bericht/gqs801:Header/gqs801:Ontvanger"/>
	<xsl:variable name="OntvangerRol" select="//gqs801:Bericht/gqs801:Header/gqs801:OntvangerRol"/>
	<xsl:variable name="Verzenddatum" select="//gqs801:Bericht/gqs801:Header/gqs801:Verzenddatum"/>
	<xsl:variable name="Aanmaakdatum" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:Aanmaakdatum"/>
	<xsl:variable name="BegindatumVerwerkingsperiode" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:BegindatumVerwerkingsperiode"/>
	<xsl:variable name="EinddatumVerwerkingsperiode" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:EinddatumVerwerkingsperiode"/>
	<xsl:variable name="Berichttype" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:Berichttype"/>
	<xsl:variable name="GerelateerdReferentienummer" select="//gqs801:Bericht/gqs801:Header/gqs801:GerelateerdReferentienummer"/>
	<xsl:variable name="TotaalDeclaratiebedrag" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalDeclaratiebedragInclBtw/gqs801:Bedrag"/>
	<xsl:variable name="TotaalDeclaratiebedragDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalDeclaratiebedragInclBtw/gqs801:DebetCreditCode"/>
	<xsl:variable name="TotaalVergoedBasis" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:Bedrag"/>
	<xsl:variable name="TotaalVergoedBasisDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:DebetCreditCode"/>
	<xsl:variable name="TotaalVergoedAanvullend" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:Bedrag"/>
	<xsl:variable name="TotaalVergoedAanvullendDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:DebetCreditCode"/>
	<xsl:variable name="TotaalEigenRisico" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalBedragEigenRisicoInclBtw/gqs801:Bedrag"/>
	<xsl:variable name="TotaalEigenRisicoDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalBedragEigenRisicoInclBtw/gqs801:DebetCreditCode"/>

	<xsl:key name="DebetReferentienummer" match="//gqs801:Bericht/gqs801:Verzekerde/gqs801:Prestatie/gqs801:DebetPrestatie" use="gqs801:Referentienummer"/>
	<!-- RC003: VerzenderRol moet voorkomen in ketenpartij codelijst. | Indien VerzenderRol in ketenpartij voorkomt, dan moet de waarde van Verzenddatum groter zijn dan of gelijk zijn aan de waarde van ingangsdatum ketenpartij van VerzenderRol. | Indien expiratiedatum ketenpartij gevuld is, dan moet de waarde van Verzenddatum kleiner zijn dan de waarde van expiratiedatum ketenpartij van VerzenderRol. -->
	<xsl:variable name="rc003">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/CL0002-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9302'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9303'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9304'"/>
			<xsl:with-param name="Code" select="$VerzenderRol"/>
			<xsl:with-param name="Peildatum" select="$Verzenddatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="rc006">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/CL0002-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9311'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9312'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9313'"/>
			<xsl:with-param name="Code" select="$OntvangerRol"/>
			<xsl:with-param name="Peildatum" select="$Verzenddatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="rc007">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD469-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'8845'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9493'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9494'"/>
			<xsl:with-param name="Code" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:BronIdDeclaratieverwerkingssysteem"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="rc008">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/CL0018-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9495'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9496'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9497'"/>
			<xsl:with-param name="Code" select="$Berichttype"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="rc012a">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalDeclaratiebedragDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="rc012b">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalVergoedBasisDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="rc012c">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalVergoedAanvullendDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="rc012d">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalEigenRisicoDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc001">
		<xsl:call-template name="rc8028">
			<xsl:with-param name="Berichtsoort" select="$Berichtsoort"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc002">
		<xsl:call-template name="rc9262a">
			<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
			<xsl:with-param name="VerzenderRol" select="$VerzenderRol"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc004">
		<xsl:call-template name="rc9263a">
			<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
			<xsl:with-param name="OntvangerRol" select="$OntvangerRol"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc006">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="Peildatum" select="$HuidigeDatum"/>
			<xsl:with-param name="TeControlerenDatum" select="$Verzenddatum"/>
			<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="8986" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc007">
		<xsl:call-template name="rc9489">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="GerelateerdReferentienummer" select="$GerelateerdReferentienummer"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc008">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
			<xsl:with-param name="TeControlerenDatum" select="$Verzenddatum"/>
			<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="9490" />
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc009">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="TeControlerenDatum" select="$Aanmaakdatum"/>
			<xsl:with-param name="Peildatum" select="$EinddatumVerwerkingsperiode"/>
			<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="8371"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc011">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="TeControlerenDatum" select="$Aanmaakdatum"/>
			<xsl:with-param name="Peildatum" select="$BegindatumVerwerkingsperiode"/>
			<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="9491"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc012">
		<xsl:call-template name="rc9492">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="BegindatumVerwerkingsperiode" select="$BegindatumVerwerkingsperiode"/>
			<xsl:with-param name="EinddatumVerwerkingsperiode" select="$EinddatumVerwerkingsperiode"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc013">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="TeControlerenDatum" select="$EinddatumVerwerkingsperiode"/>
			<xsl:with-param name="Peildatum" select="$BegindatumVerwerkingsperiode"/>
			<xsl:with-param name="Vergelijking" select="'groterdan'"/>
			<xsl:with-param name="Retourcode" select="8372"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc014">
		<xsl:call-template name="rcTotaalbedrag_vs_Details">
			<xsl:with-param name="TotaalBedrag" select="$TotaalDeclaratiebedrag"/>
			<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalDeclaratiebedragDCIndicator"/>
			<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:DeclaratieBedragInclBtw)"/>
			<xsl:with-param name="TotaalCreditBedragen" select="0.00"/>
			<xsl:with-param name="Retourcode" select="'0150'"/>
			<xsl:with-param name="NaamBedrag" select="'TotaalDeclaratiebedragInclBtw'"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc015">
		<xsl:call-template name="rcTotaalbedrag_vs_Details">
			<xsl:with-param name="TotaalBedrag" select="$TotaalVergoedBasis"/>
			<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalVergoedBasisDCIndicator"/>
			<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:VergoedBedragBasisInclBtw)"/>
			<xsl:with-param name="TotaalCreditBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:VergoedBedragBasisInclBtw)"/>
			<xsl:with-param name="Retourcode" select="'8390'"/>
			<xsl:with-param name="NaamBedrag" select="'TotaalVergoedBedragBasisInclBtw'"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc016">
		<xsl:call-template name="rcTotaalbedrag_vs_Details">
			<xsl:with-param name="TotaalBedrag" select="$TotaalVergoedAanvullend"/>
			<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalVergoedAanvullendDCIndicator"/>
			<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:VergoedBedragAanvullendInclBtw)"/>
			<xsl:with-param name="TotaalCreditBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:VergoedBedragAanvullendInclBtw)"/>
			<xsl:with-param name="Retourcode" select="'8365'"/>
			<xsl:with-param name="NaamBedrag" select="'TotaalVergoedBedragAanvullendInclBtw'"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc017">
		<xsl:call-template name="rcTotaalbedrag_vs_Details">
			<xsl:with-param name="TotaalBedrag" select="$TotaalEigenRisico"/>
			<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalEigenRisicoDCIndicator"/>
			<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:BedragEigenRisico)"/>
			<xsl:with-param name="TotaalCreditBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:BedragEigenRisico)"/>
			<xsl:with-param name="Retourcode" select="'8391'"/>
			<xsl:with-param name="NaamBedrag" select="'TotaalBedragEigenRisicoInclBtw'"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc027">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="TeControlerenDatum" select="$BegindatumVerwerkingsperiode"/>
				<xsl:with-param name="Peildatum" select="$IngangsdatumGQS"/>
				<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
				<xsl:with-param name="Retourcode" select="'8354'"/>
			</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc028">
		<xsl:call-template name="rc8354">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="BegindatumVerwerkingsperiode" select="$BegindatumVerwerkingsperiode"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="vc035">
		<xsl:call-template name="rc9537">
			<xsl:with-param name="Ontvangerrol" select="$OntvangerRol"/>
			<xsl:with-param name="Ontvanger" select="$Ontvanger"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:template match="gqs801:Bericht">
		<gqs802:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/schadelast583 gqs802_583.xsd</xsl:attribute>
			<!-- Altijd Header, DeclaratieContext en Overzicht retour -->
			<xsl:apply-templates select="gqs801:Header"/>
			<xsl:apply-templates select="gqs801:SchadelastContext"/>
			<xsl:apply-templates select="gqs801:Overzicht"/>
			<!-- Geen errors in de Header, DeclaratieContext of Overzicht dan hele bericht als retour -->
			<xsl:if test="$rc003='' and $rc006='' and $rc007='' and $rc008='' and $rc012a='' and $rc012b = '' and $rc012c='' and $rc012d='' and $vc001='' and $vc002='' and $vc004='' and $vc006='' and $vc007='' and $vc008='' and $vc009='' and $vc011='' and $vc012='' and $vc013='' and $vc014='' and $vc015='' and $vc016='' and $vc017='' and $vc027='' and $vc028='' and $vc035='' ">
				<xsl:apply-templates select="gqs801:Prestatie"/>
			</xsl:if>
		</gqs802:Bericht>
	</xsl:template>
	<xsl:template match="gqs801:Header">
		<!-- klasse Header opbouwen -->
		<gqs802:Header>
			<gqs802:Berichtcode>583</gqs802:Berichtcode>
			<!-- gehanteerde Berichtversie en Berichtsubversie voor retourbericht -->
			<gqs802:Berichtversie>1</gqs802:Berichtversie>
			<gqs802:Berichtsubversie>0</gqs802:Berichtsubversie>
			<gqs802:Berichtsoort>
					<xsl:value-of select="gqs801:Berichtsoort"/>
			</gqs802:Berichtsoort>
			<!-- als Vecozo is verzender van het retourbericht dan vullen met gegevens van Vecozo, anders met de gegevens van de verzender van het declaratiebericht -->
			<xsl:choose>
				<xsl:when test="$VerzenderRetourbericht = 'Vecozo'">
					<gqs802:VerzenderRol>
						<xsl:value-of select="$VerzenderRolVecozo"/>
					</gqs802:VerzenderRol>
				</xsl:when>
				<xsl:otherwise>
					<gqs802:Verzender>
						<xsl:value-of select="gqs801:Ontvanger"/>
					</gqs802:Verzender>
					<gqs802:VerzenderRol>
						<xsl:value-of select="gqs801:OntvangerRol"/>
					</gqs802:VerzenderRol>
				</xsl:otherwise>
			</xsl:choose>
			<!-- Ontvanger in retourbericht is Verzender uit declaratiebericht -->
			<gqs802:Ontvanger>
				<xsl:value-of select="gqs801:Verzender"/>
			</gqs802:Ontvanger>
			<!-- OntvangerRol in retourbericht is VerzenderRol uit declaratiebericht -->
			<gqs802:OntvangerRol>
				<xsl:value-of select="gqs801:VerzenderRol"/>
			</gqs802:OntvangerRol>
			<gqs802:Verzenddatum>
				<xsl:value-of select="$HuidigeDatum"/>
			</gqs802:Verzenddatum>
			<!-- als Referentienummer van retourbericht het Referentienummer van heenbericht hanteren -->
			<gqs802:Referentienummer>
				<xsl:value-of select="gqs801:Referentienummer"/>
			</gqs802:Referentienummer>
			<xsl:if test="$GerelateerdReferentienummer">
				<gqs802:GerelateerdReferentienummer>
					<xsl:value-of select="gqs801:GerelateerdReferentienummer"/>
				</gqs802:GerelateerdReferentienummer>
			</xsl:if>
			<!-- feedback klasse Header toevoegen -->
			<xsl:copy-of select="$rc003"/>
			<xsl:copy-of select="$rc006"/>
			<xsl:copy-of select="$vc001"/>
			<xsl:copy-of select="$vc002"/>
			<xsl:copy-of select="$vc004"/>
			<xsl:copy-of select="$vc006"/>
			<xsl:copy-of select="$vc035"/>
	</gqs802:Header>
	</xsl:template>
	<xsl:template match="gqs801:Overzicht">
		<!-- klasse Overzicht opbouwen -->
		<gqs802:Overzicht>
			<gqs802:TotaalDeclaratiebedragInclBtw>
				<gqs802:Bedrag>	<xsl:value-of select="gqs801:TotaalDeclaratiebedragInclBtw/gqs801:Bedrag"/></gqs802:Bedrag>
				<gqs802:DebetCreditCode><xsl:value-of select="gqs801:TotaalDeclaratiebedragInclBtw/gqs801:DebetCreditCode"/></gqs802:DebetCreditCode>
				<xsl:copy-of select="$rc012a"/>
			</gqs802:TotaalDeclaratiebedragInclBtw>
			<gqs802:TotaalVergoedBedragBasisInclBtw>
				<gqs802:Bedrag>	<xsl:value-of select="gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:Bedrag"/></gqs802:Bedrag>
				<gqs802:DebetCreditCode><xsl:value-of select="gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:DebetCreditCode"/></gqs802:DebetCreditCode>
				<xsl:copy-of select="$rc012b"/>
			</gqs802:TotaalVergoedBedragBasisInclBtw>
			<gqs802:TotaalVergoedBedragAanvullendInclBtw>
				<gqs802:Bedrag>	<xsl:value-of select="gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:Bedrag"/></gqs802:Bedrag>
				<gqs802:DebetCreditCode><xsl:value-of select="gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:DebetCreditCode"/></gqs802:DebetCreditCode>
				<xsl:copy-of select="$rc012c"/>
			</gqs802:TotaalVergoedBedragAanvullendInclBtw>
			<gqs802:TotaalBedragEigenRisicoInclBtw>
				<gqs802:Bedrag>	<xsl:value-of select="gqs801:TotaalBedragEigenRisicoInclBtw/gqs801:Bedrag"/></gqs802:Bedrag>
				<gqs802:DebetCreditCode><xsl:value-of select="gqs801:TotaalBedragEigenRisicoInclBtw/gqs801:DebetCreditCode"/></gqs802:DebetCreditCode>
				<xsl:copy-of select="$rc012d"/>
			</gqs802:TotaalBedragEigenRisicoInclBtw>
			<xsl:copy-of select="$vc014"/>
			<xsl:copy-of select="$vc015"/>
			<xsl:copy-of select="$vc016"/>
			<xsl:copy-of select="$vc017"/>
		</gqs802:Overzicht>
	</xsl:template>
	<xsl:template match="gqs801:SchadelastContext">
		<!-- klasse Overzicht opbouwen -->
		<gqs802:SchadelastContext>
			<gqs802:Valutacode><xsl:value-of select = "gqs801:Valutacode"/></gqs802:Valutacode>
			<gqs802:BronIdDeclaratieverwerkingssysteem><xsl:value-of select = "gqs801:BronIdDeclaratieverwerkingssysteem"/></gqs802:BronIdDeclaratieverwerkingssysteem>
			<gqs802:Berichttype><xsl:value-of select = "gqs801:Berichttype"/></gqs802:Berichttype>
			<gqs802:Aanlevernummer><xsl:value-of select = "gqs801:Aanlevernummer"/></gqs802:Aanlevernummer>
			<gqs802:Aanmaakdatum><xsl:value-of select = "gqs801:Aanmaakdatum"/></gqs802:Aanmaakdatum>
			<xsl:if test="$BegindatumVerwerkingsperiode">
				<gqs802:BegindatumVerwerkingsperiode><xsl:value-of select = "$BegindatumVerwerkingsperiode"/></gqs802:BegindatumVerwerkingsperiode>
			</xsl:if>
			<xsl:if test="$EinddatumVerwerkingsperiode">
				<gqs802:EinddatumVerwerkingsperiode><xsl:value-of select = "$EinddatumVerwerkingsperiode"/></gqs802:EinddatumVerwerkingsperiode>
			</xsl:if>
			<xsl:if test="gqs801:UzoviNummerVolmacht">
				<gqs802:UzoviNummerVolmacht><xsl:value-of select="gqs801:UzoviNummerVolmacht"/></gqs802:UzoviNummerVolmacht>
			</xsl:if>
			<xsl:copy-of select="$rc007"/>
			<xsl:copy-of select="$rc008"/>
			<xsl:copy-of select="$vc007"/>
			<xsl:copy-of select="$vc008"/>
			<xsl:copy-of select="$vc009"/>
			<xsl:copy-of select="$vc011"/>
			<xsl:copy-of select="$vc012"/>
			<xsl:copy-of select="$vc013"/>
			<xsl:copy-of select="$vc027"/>
			<xsl:copy-of select="$vc028"/>
		</gqs802:SchadelastContext>
	</xsl:template>
	<xsl:template match="gqs801:Prestatie">
		<gqs802:Prestatie>
			<xsl:apply-templates select="gqs801:DebetPrestatie"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:CreditPrestatie"></xsl:apply-templates>
		</gqs802:Prestatie>
	</xsl:template>
	<xsl:template match="gqs801:DebetPrestatie">
		<xsl:variable name="BegindatumPrestatie"  select="gqs801:Begindatum"/>
		<xsl:variable name="rc010">
			<xsl:call-template name="rcCode_vs_Peildatum">
				<xsl:with-param name="Codelijst" select="'codelijsten/COD470-VEKT.xml'"/>
				<xsl:with-param name="RetourcodeBestaanbaarheid" select="'8358'"/>
				<xsl:with-param name="RetourcodeIngangsdatum" select="'9501'"/>
				<xsl:with-param name="RetourcodeExpiratiedatum" select="'9502'"/>
				<xsl:with-param name="Code" select="gqs801:Declaratiewijze"/>
				<xsl:with-param name="Peildatum" select="$BegindatumPrestatie"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc018">
			<xsl:call-template name="rc0581">
				<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
				<xsl:with-param name="PrestatieCodelijstCode" select="gqs801:PrestatieCodelijstCode"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc020">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="Peildatum" select="gqs801:Begindatum"/>
				<xsl:with-param name="TeControlerenDatum" select="gqs801:Verwerkingsdatum"/>
				<xsl:with-param name="Retourcode" select="'8989'"/>
				<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc021">
		    <xsl:if test="($BegindatumVerwerkingsperiode)">
				<xsl:choose>
					<xsl:when test="($EinddatumVerwerkingsperiode)">
						<xsl:call-template name="rcDatum_vs_Periode">
							<xsl:with-param name="BegindatumPeriode" select="$BegindatumVerwerkingsperiode"/>
							<xsl:with-param name="EinddatumPeriode" select="$EinddatumVerwerkingsperiode"/>
							<xsl:with-param name="TeControlerenDatum" select="gqs801:Verwerkingsdatum"/>
							<xsl:with-param name="Retourcode" select="'8370'"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="rcDatum_vs_Periode">
							<xsl:with-param name="BegindatumPeriode" select="$BegindatumVerwerkingsperiode"/>
							<xsl:with-param name="EinddatumPeriode" select="$BegindatumVerwerkingsperiode"/>
							<xsl:with-param name="TeControlerenDatum" select="gqs801:Verwerkingsdatum"/>
							<xsl:with-param name="Retourcode" select="'8370'"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
		</xsl:variable>
		<gqs802:DebetPrestatie>
			<gqs802:Referentienummer><xsl:value-of select="gqs801:Referentienummer"/></gqs802:Referentienummer>
			<xsl:copy-of select="$rc010"/>
			<xsl:copy-of select="$vc018"/>
			<xsl:copy-of select="$vc020"/>
			<xsl:copy-of select="$vc021"/>
			<xsl:apply-templates select="gqs801:AanvullendPrestatieKenmerk"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:Verzekerde"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:Indiener"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:AanvullendePrestatiegegevens"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:Verwijzing"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:Zorgaanbieder"></xsl:apply-templates>
		</gqs802:DebetPrestatie>
	</xsl:template>
	<xsl:template match="gqs801:CreditPrestatie">
		<xsl:variable name="vc018">
			<xsl:call-template name="rc0581">
				<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
				<xsl:with-param name="PrestatieCodelijstCode" select="gqs801:PrestatieCodelijstCode"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc023">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
				<xsl:with-param name="TeControlerenDatum" select="gqs801:Begindatum"/>
				<xsl:with-param name="Retourcode" select="'9283'"/>
				<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:CreditPrestatie>
			<gqs802:Referentienummer><xsl:value-of select="gqs801:Referentienummer"/></gqs802:Referentienummer>
			<xsl:copy-of select="$vc018"/>
			<xsl:copy-of select="$vc023"/>
		</gqs802:CreditPrestatie>
	</xsl:template>
	<xsl:template match="gqs801:AanvullendPrestatieKenmerk">
		<gqs802:AanvullendPrestatieKenmerk>
			<gqs802:ApkCodelijstCode><xsl:value-of select="gqs801:ApkCodelijstCode"/></gqs802:ApkCodelijstCode>
			<gqs802:ApkCode><xsl:value-of select="gqs801:ApkCode"/></gqs802:ApkCode>
		</gqs802:AanvullendPrestatieKenmerk>
	</xsl:template>
	<xsl:template match="gqs801:Verzekerde">
		<xsl:variable name="vc024">
			<xsl:call-template name="rc9272">
				<xsl:with-param name="Verzender" select="$Verzender"/>
				<xsl:with-param name="Buitenlandverzekerde" select="gqs801:BuitenlandVerzekerde"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc025">
			<xsl:call-template name="rc9416">
				<xsl:with-param name="Verzender" select="$Verzender"/>
				<xsl:with-param name="Buitenlandverzekerde" select="gqs801:BuitenlandVerzekerde"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:Verzekerde>
			<xsl:copy-of select="$vc024"/>
			<xsl:copy-of select="$vc025"/>
			<xsl:apply-templates select="gqs801:BuitenlandVerzekerde"></xsl:apply-templates>
		</gqs802:Verzekerde>
	</xsl:template>
	<xsl:template match="gqs801:BuitenlandVerzekerde">
		<gqs802:BuitenlandVerzekerde>
		</gqs802:BuitenlandVerzekerde>
	</xsl:template>
	<xsl:template match="gqs801:Indiener">
		<xsl:variable name="rc011">
			<xsl:call-template name="rcCode_vs_Peildatum">
				<xsl:with-param name="Codelijst" select="'codelijsten/COD976-VEKT.xml'"/>
				<xsl:with-param name="RetourcodeBestaanbaarheid" select="'8434'"/>
				<xsl:with-param name="RetourcodeIngangsdatum" select="'9504'"/>
				<xsl:with-param name="RetourcodeExpiratiedatum" select="'9505'"/>
				<xsl:with-param name="Code" select="gqs801:IndienerSoort"/>
				<xsl:with-param name="Peildatum" select="../gqs801:Begindatum"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc026">
			<xsl:call-template name="rc0013">
				<xsl:with-param name="Indienersoort" select="gqs801:IndienerSoort"/>
				<xsl:with-param name="Servicebureaucode" select="gqs801:Servicebureaucode"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc029">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="Peildatum" select="../gqs801:Verwerkingsdatum"/>
				<xsl:with-param name="TeControlerenDatum" select="gqs801:Factuurdatum"/>
				<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
				<xsl:with-param name="Retourcode" select="9487" />
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vc034">
			<xsl:call-template name="rc9536">
				<xsl:with-param name="Declaratiewijze" select="../gqs801:Declaratiewijze"/>
				<xsl:with-param name="Factuurnummer" select="gqs801:Factuurnummer"/>
				<xsl:with-param name="Factuurdatum" select="gqs801:Factuurdatum"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:Indiener>
			<xsl:copy-of select="$rc011"/>
			<xsl:copy-of select="$vc026"/>
			<xsl:copy-of select="$vc029"/>
			<xsl:copy-of select="$vc034"/>
			<xsl:apply-templates select="gqs801:Declarant"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:Zorgaanbieder"></xsl:apply-templates>
		</gqs802:Indiener>
	</xsl:template>
	<xsl:template match="gqs801:Declarant">
		<gqs802:Declarant>
			<gqs802:Zorgaanbiedercode><xsl:value-of select="gqs801:Zorgaanbiedercode"/></gqs802:Zorgaanbiedercode>
			<gqs802:ZorgaanbiederSoort><xsl:value-of select="gqs801:ZorgaanbiederSoort"/></gqs802:ZorgaanbiederSoort>
			<gqs802:ZorgaanbiederSpecificatie><xsl:value-of select="gqs801:ZorgaanbiederSpecificatie"/></gqs802:ZorgaanbiederSpecificatie>
			<gqs802:BeroepZorgverlener><xsl:value-of select="gqs801:BeroepZorgverlener"/></gqs802:BeroepZorgverlener>
			<gqs802:ZorgaanbiederRol><xsl:value-of select="gqs801:ZorgaanbiederRol"/></gqs802:ZorgaanbiederRol>
		</gqs802:Declarant>
	</xsl:template>
	<xsl:template match="gqs801:Zorgaanbieder">
		<gqs802:Zorgaanbieder>
			<gqs802:Zorgaanbiedercode><xsl:value-of select="gqs801:Zorgaanbiedercode"/></gqs802:Zorgaanbiedercode>
			<gqs802:ZorgaanbiederSoort><xsl:value-of select="gqs801:ZorgaanbiederSoort"/></gqs802:ZorgaanbiederSoort>
			<gqs802:ZorgaanbiederSpecificatie><xsl:value-of select="gqs801:ZorgaanbiederSpecificatie"/></gqs802:ZorgaanbiederSpecificatie>
			<gqs802:BeroepZorgverlener><xsl:value-of select="gqs801:BeroepZorgverlener"/></gqs802:BeroepZorgverlener>
			<gqs802:ZorgaanbiederRol><xsl:value-of select="gqs801:ZorgaanbiederRol"/></gqs802:ZorgaanbiederRol>
		</gqs802:Zorgaanbieder>
	</xsl:template>
	<xsl:template match="gqs801:AanvullendePrestatiegegevens">
		<gqs802:AanvullendePrestatiegegevens>
			<xsl:apply-templates select="gqs801:Diagnose"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:Zorgtraject"></xsl:apply-templates>
		</gqs802:AanvullendePrestatiegegevens>
	</xsl:template>
	<xsl:template match="gqs801:Diagnose">
		<gqs802:Diagnose>
		</gqs802:Diagnose>
	</xsl:template>
	<xsl:template match="gqs801:Zorgtraject">
		<xsl:variable name="vc032">
			<xsl:call-template name="rc9488">
				<xsl:with-param name="ZorgtrajectNummer" select="gqs801:ZorgtrajectNummer"/>
				<xsl:with-param name="ZorgtrajectSubnummer" select="gqs801:ZorgtrajectSubnummer"/>
				<xsl:with-param name="ZorgtrajectStartdatum" select="gqs801:ZorgtrajectStartdatum"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:Zorgtraject>
			<xsl:copy-of select="$vc032"/>
		</gqs802:Zorgtraject>
	</xsl:template>
	<xsl:template match="gqs801:Verwijzing">
		<gqs802:Verwijzing>
		</gqs802:Verwijzing>
	</xsl:template>
	<xsl:template match="*[namespace-uri()='http://ei.vektis.nl/schadelastbericht582']" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{concat('gqs802:',local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
