<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_Periode, versie 1.0 11 april 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer of TeControlerenDatum in opgegeven periode valt. als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->
					
	<xsl:template name="rcDatum_vs_Periode">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="BegindatumPeriode"/>
		<xsl:param name="EinddatumPeriode"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="$TeControlerenDatum">
			<xsl:if test="(normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($BegindatumPeriode,'-',''))) or (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($EinddatumPeriode,'-','')))">
				<gqs802:Feedback>
					<gqs802:Retourcode><xsl:value-of select="$Retourcode"/></gqs802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($TeControlerenDatum)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$TeControlerenDatum"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($BegindatumPeriode)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$BegindatumPeriode"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
					<gqs802:BetrokkenElement>
						<gqs802:Elementnaam><xsl:value-of select="local-name($EinddatumPeriode)"/></gqs802:Elementnaam>
						<gqs802:Elementwaarde><xsl:value-of select="$EinddatumPeriode"/></gqs802:Elementwaarde>
					</gqs802:BetrokkenElement>
				</gqs802:Feedback>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
